Create a pack

Base URL
https://{kibana_url}
  • POST /api/osquery/packs
  • POST /s/{space_id}/api/osquery/packs
Auth

Create a query pack.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

description string

The pack description.

enabled boolean

Enables the pack.

name string

The pack name.

policy_ids string[]

A list of agents policy IDs.

queries map string to object

An object of queries.

shards map string to number

An object with shard configuration for policies included in the pack. For each policy, set the shard configuration to a percentage (1–100) of target hosts.

Response

OK

application/json

Response Type: object

Base URL
https://{kibana_url}